package cn.com.poc.agent_application.entity;


public class BizAgentApplicationMallEntity {

    private static final long serialVersionUID = 1L;
    /**
     * id
     * 自增ID
     */
    private java.lang.Integer id;

    public java.lang.Integer getId() {
        return this.id;
    }

    public void setId(java.lang.Integer id) {
        this.id = id;
    }

    /**
     * agent_publish_id
     * 发布应用的ID
     */
    private java.lang.Integer agentPublishId;

    public java.lang.Integer getAgentPublishId() {
        return this.agentPublishId;
    }

    public void setAgentPublishId(java.lang.Integer agentPublishId) {
        this.agentPublishId = agentPublishId;
    }

    /**
     * agent_type
     * 应用类型
     */
    private java.lang.String agentType;

    public java.lang.String getAgentType() {
        return this.agentType;
    }

    public void setAgentType(java.lang.String agentType) {
        this.agentType = agentType;
    }

    /**
     * category_id
     * 应用分类ID
     */
    private Integer categoryId;

    public Integer getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(Integer categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * collect_number
     * 收藏人数
     */
    private java.lang.Integer collectNumber;

    public java.lang.Integer getCollectNumber() {
        return this.collectNumber;
    }

    public void setCollectNumber(java.lang.Integer collectNumber) {
        this.collectNumber = collectNumber;
    }

    /**
     * click_number
     * 点击次数
     */
    private java.lang.Integer clickNumber;

    public java.lang.Integer getClickNumber() {
        return this.clickNumber;
    }

    public void setClickNumber(java.lang.Integer clickNumber) {
        this.clickNumber = clickNumber;
    }

    /**
     * is_copy
     * 是否允许被复制 1、Y 是 2、N 否
     */
    private java.lang.String isCopy;

    public java.lang.String getIsCopy() {
        return this.isCopy;
    }

    public void setIsCopy(java.lang.String isCopy) {
        this.isCopy = isCopy;
    }

    /**
     * is_sale
     * 是否上架应用 1、Y 是 2、N 否
     */
    private java.lang.String isSale;

    public java.lang.String getIsSale() {
        return this.isSale;
    }

    public void setIsSale(java.lang.String isSale) {
        this.isSale = isSale;
    }

    /**
     * popularity
     * 应用热度
     */
    private java.lang.Double popularity;

    public java.lang.Double getPopularity() {
        return this.popularity;
    }

    public void setPopularity(java.lang.Double popularity) {
        this.popularity = popularity;
    }

    /**
     * is_deleted
     * 是否删除 1、Y 是 2、N 否
     */
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * CREATOR
     * 创建人
     */
    private java.lang.String creator;

    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * MODIFIER
     * 修改人
     */
    private java.lang.String modifier;

    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
    }

    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    /**
     * SYS_VERSION
     * 版本号
     */
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion() {
        return this.sysVersion;
    }

    public void setSysVersion(java.lang.Integer sysVersion) {
        this.sysVersion = sysVersion;
    }
}